Older versions on deprecation schedule
Developers using Google’s Safe Browsing API: get ready for an upgrade.

The Chocolate Factory’s announced v4 of the API, and is deprecating prior versions.
Announced here, the update pays more attention to mobile users.

As Googlers Emily Schechter and Alex Wozniak write, that means the API had to be optimised to reduce power consumption and network bandwidth, both of which are constrained in the mobile environment.
“Version 4 clients can now define constraints such as geographic location, platform type, and data caps to use bandwidth and device resources as efficiently as possible,” their co-penned post notes, adding that desktop users will also benefit from the performance improvements.
Chrome users are already using the latest API if they’re on a version later than 46. Other clients that use the API (for example, Firefox and Safari) will follow.
Third party developers on Android are warned not to implement their own APIs, however: there will be a “simple, device-local API available to prevent any resource waste on device”, Google writes, and it will be available “soon”.
There’s a reference implementation at GitHub, which includes a Safe Browsing HTTP proxy with JSON support.
The v3 Safe Browsing APIs will be supported until 2017, and the full v4 API is documented here. ®
Sponsored: Rise of the machines